/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var images = ko.observableArray([]),
        selectedImages = ko.observableArray([]),
        selectAllImages = ko.observable(false),
        failedImages = ko.observableArray([]),
        failedImagesWithoutThumbnail = ko.observableArray([]),
        successImages = ko.observableArray([]), 
        proceedable = ko.observable(false),
        invalid = ko.observableArray([]),
        notSupported = ko.observableArray([]),
        downloadFailed = ko.observableArray([]),
        general = ko.observableArray([]),
        errorMessages = ko.observableArray([]);

    return {
        images: images,
        selectedImages: selectedImages,
        selectAllImages: selectAllImages,
        failedImages: failedImages,
        failedImagesWithoutThumbnail: failedImagesWithoutThumbnail,
        successImages: successImages,
        proceedable: proceedable,
        invalid: invalid,
        notSupported: notSupported,
        downloadFailed: downloadFailed,
        general: general,
        errorMessages: errorMessages
    };
});
